import { ColDef } from '@ag-grid-community/core';
import { GridProGenesisDatasource, ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
import { DatasourceConfiguration } from '../entities/entities';
export declare class List extends FASTElement {
    resourceName: string;
    title: string;
    persistColumnStateKey: string;
    sizeColumnsToFit: boolean;
    enableFilterBar: boolean;
    enableCellFlashing: boolean;
    grid: ZeroGridPro;
    datasource: GridProGenesisDatasource;
    columns: ColDef[];
    datasourceConfig: DatasourceConfiguration;
    actionButtonsConfig: any[];
    createEvent: string;
    deleteEvent: string;
    updateEvent: string;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private handleFilterChanged;
    private handleFilterCleared;
    private select;
    create(): void;
    private edit;
    delete(e: any): Promise<void>;
}
//# sourceMappingURL=list.d.ts.map