import { __decorate } from "tslib";
import { css, customElement, FASTElement } from '@microsoft/fast-element';
import { EntityManagement } from '../../entities';
import { Profiles } from '../../profiles/profiles';
import { Users } from '../../users/users';
import { AdminTemplate } from './admin.template';
EntityManagement;
Users;
Profiles;
let Admin = class Admin extends FASTElement {
};
Admin = __decorate([
    customElement({
        name: 'user-admin',
        template: AdminTemplate,
        styles: css `
    zero-tabs {
      padding-top: 8px;
    }

    zero-tab-panel {
      padding: 0 15px 15px;
    }

    :host,
    zero-tabs,
    zero-tab-panel {
      height: 100%;
    }
  `,
    })
], Admin);
export { Admin };
